%  fnint1.m

% Matlab file for Part 1 of the Functions Defined by
% Integrals module

disp('********************************************')
disp('Part 1: The Function F(x) and its Derivative ') 
disp('********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('The function f(t) is called fun(t) here')
    disp('and is defined in a MATLAB m-file that')
    disp('is provided with this module''s files. ')
    disp('The function in fun(t) is originally ')
    disp('    sqrt( 25- t^2 ). ')
    disp(' ')
    disp('To list the m-file, enter: ''''type fun'''' ')
    disp('at a MATLAB prompt. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('To graph the function fun(t), enter the ')
    disp('following commands: ')
    disp(' ') 
    disp(' t=0:0.1:4.9; ')
    disp(' y=fun(t); ')
    disp(' plot(t,y) ') 
    disp(' ')
    disp('--------------------------------------------')
    disp('To change to another function later in ')
    disp('this module, simply edit the m-file: ')
    disp('fun.m  in a text editor.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 1 (cont): ')
    disp('The function F(x) is called intf(x) here')
    disp('and is defined in a MATLAB m-file that')
    disp('is provided with this module''s files. ')
    disp(' ')
    disp('intf(x) computes the area under the ')
    disp('fun(t) curve above the interval [0,x].')
    disp('To list the m-file, enter: ''''type intf'''' ')
    disp('a MATLAB prompt. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('If fun(t) is changed to another function, ')
    disp('there is no need to change the intf.m file ')
    disp('as long as the integration is from 0 to x.')
    disp(' ')
    disp('--------------------------------------------')
    disp('To graph the function intf(t), enter the ')
    disp('following commands: ')
    disp(' ') 
    disp(' x=0:0.1:4.9; ')
    disp(' y=intf(x); ')
    disp(' plot(x,y) ')
    disp(' ') 
    disp(' % Note: Use 4.9 instead of 5 since the' )
    disp(' % quad8 integrator has trouble with the')
    disp(' % infinite slope of sqrt( 25- t^2 ) at t=5.')
    disp(' ')
    disp('--------------------------------------------')
    disp('Examine the graph of intf and explain why')
    disp('it has the form it does.  Use MATLAB comments')
    disp('in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 2:')
    disp('To compute the values of intf(x) at, say,')
    disp('x=2 for your table, just enter: intf(2). ')
    disp(' ')
    disp('You can make the table for your diary file')
    disp('by copying and filling in MATLAB comments')
    disp('like the ones below, before entering.')
    disp(' ')
    disp(' % Table of F(x)=intf(x) values: ')
    disp(' %   x      inf(x) ')
    disp(' %  1.3     6.4260 ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 3:')
    disp('To compute the values of the approximate ')
    disp('derivative of intf(x) at, say, x=2, and also')
    disp('evalute fun(x) for your table, you can enter:')
    disp(' ')
    disp(' x=2; ')
    disp(' deriv=(intf(x+0.001)-intf(x))/0.001  ')
    disp(' fval=fun(x) ')
    disp(' ')
    disp('You can make the table for your diary file')
    disp('by copying and filling in MATLAB comments')
    disp('like the ones below, before entering.')
    disp(' ')
    disp(' % Comparison Table of F''(x) and f(x) values:')
    disp(' %   x      F''(x)     f(x)   ')
    disp(' %  3.6     3.4694    3.4699 ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Steps 4 thru 10: ')
    disp('Answer the questions as MATLAB comments in ')
    disp('your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 11: ')
    disp('We have to now use the symbolic capabilities ')
    disp('of MATLAB to find symbolic integrals and')
    disp('derivatives. ')
    disp(' ')
    disp('----------------------------------------------')
    disp('First enter the following lines to make t and x')
    disp('symbolic variables and define f')
    disp(' ')
    disp(' syms x t ')
    disp(' f = sqrt(25-t^2) ')
    disp(' ')
    disp('----------------------------------------------')
    disp('Now define F, take its derivative, and simplify:')
    disp(' ')
    disp(' F = int(f,0,x) ')
    disp(' derF = diff(F)  ')
    disp(' derF = simple(derF) ')
    disp(' ')
    disp('----------------------------------------------')
    disp('What is your conclusion? ')
    disp('Answer as MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 12 (optional): ')
    disp('Answer the question as MATLAB comments in your')
    disp('diary file.')
    disp(' ')
    disp('----------------------------------------------')
    disp('When you are finished with part 1, to go on to')
    disp('part 2 of this module, type: fnint2.')
    disp(' ')