%  fnint2.m
% Matlab file for Part 2 of the Functions Defined by
% Integrals module

disp('********************************************')
disp('Part 2: Integrating f''(x) ') 
disp('********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('The function f''(t) is called Dfun(t) here')
    disp('and is defined in a MATLAB m-file that')
    disp('is provided with this module''s files. ')
    disp('The function in Dfun(t) is originally ')
    disp('    f''(t)=-t/sqrt( 25- t^2 ), the derivative')
    disp('of  f(t)  = sqrt( 25- t^2 ). ')
    disp(' ')
    disp('To list the m-file, enter: ''''type Dfun'''' ')
    disp('at a MATLAB prompt. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('To graph the function Dfun(t), enter the ')
    disp('following commands: ')
    disp(' ') 
    disp(' t=0:0.1:4.9; ')
    disp(' y=Dfun(t); ')
    disp(' plot(t,y) ')
    disp(' ')
    disp('--------------------------------------------')
    disp('To change to another function later in ')
    disp('this module, simply edit the m-file: ')
    disp('Dfun.m  in a text editor.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 1 (cont): ')
    disp('The function g(x) is called intDf(x) here')
    disp('and is defined in a MATLAB m-file that')
    disp('is provided with this module''s files. ')
    disp(' ')
    disp('intDf(x) computes the area under the ')
    disp('Dfun(t) curve above the interval [0,x].')
    disp('To list the m-file, enter: ''''type intDf'''' ')
    disp('at a MATLAB prompt. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('If Dfun(t) is changed to another function, ')
    disp('there is no need to change the intDf.m file ')
    disp('as long as the integration is from 0 to x.')
    disp(' ')
    disp('--------------------------------------------')
    disp('To graph the function intDf(t), enter the ')
    disp('following commands: ')
    disp(' ') 
    disp(' x=0:0.1:4.9; ')
    disp(' y=intDf(x); ')
    disp(' plot(x,y) ')
    disp(' ') 
    disp(' % Note: Use 4.9 instead of 5 since the' )
    disp(' % integrand -t/sqrt( 25- t^2 ) is not ')
    disp(' % defined at t=5.')
    disp(' ')
    disp('--------------------------------------------')
    disp('Explain why the graph of g(x)=intDf(x) has')
    disp('the form it does.  In particular, why are')
    disp('are all the values of g(x) negative? ') 
    disp('Use MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('------------------------------------------')
    disp('Step 2:')
    disp('To compare the graph of f(x)=fun(x) with')
    disp('the graph of g(x)=intf(x) we just made, ')
    disp('hold the last graph and add f(x) in red.')
    disp(' ')
    disp('The commands you need are below: ')
    disp(' ')
    disp(' hold on ')
    disp(' y=fun(x); ')
    disp(' plot(x,y,''r'') ')
    disp(' legend(''g(x)'',''f(x)'') ')
    disp(' ')
    disp('------------------------------------------') 
    disp('Answer the questions in step 2 as MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Steps 3 thru 5:')
    disp('Show your computations and answer the questions')
    disp('in your diary file.')
    disp(' ')
    disp('Before you make your comparison graph in step 5 ')
    disp('enter: ''''clf'''' to clear the previous held ')
    disp('figure. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 6: ')
    disp('We have to now use the symbolic capabilities ')
    disp('of MATLAB to find symbolic integrals and')
    disp('derivatives. ')
    disp(' ')
    disp('----------------------------------------------')
    disp('First enter the following lines to make t and x')
    disp('symbolic variables and define f.')
    disp(' ')
    disp(' syms x t ')
    disp(' f = sqrt(25-t^2) ')
    disp(' ')
    disp('----------------------------------------------')
    disp('Now take the derivative of f and integrate it')
    disp('to find g. ')
    disp(' ')
    disp(' Df = diff(f) ')
    disp(' g = int(Df,0,x) ')
    disp(' ')
    disp('----------------------------------------------')
    disp('What is your conclusion? ')
    disp('Answer as MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 7: ')
    disp('Answer the question as MATLAB comments in your')
    disp('diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ') 

    disp('----------------------------------------------')
    disp('Step 8 (optional): ')
    disp('Answer the question as MATLAB comments in your')
    disp('diary file.')
    disp(' ')
    disp('----------------------------------------------')
    disp('When you are finished with part 2, to go on to')
    disp('part 3 of this module, type: fnint3.')
    disp(' ')