%  fnint4.m
% Matlab file for Part 4 of the Functions Defined by
% Integrals module

disp('********************************************')
disp('Part 4: A Third Example ') 
disp('********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('The function f(t) is called fun(t) here')
    disp('and must be defined in MATLAB m-file fun.m.')
    disp(' ')
    disp('Edit the function in fun(t) to now be ')
    disp('    exp(-t.^2/2). ')
    disp(' ')
    disp('(Don''t forget the period after the -t or it ')
    disp(' won''t do what you want.) ')
    disp('List the modified m-file by entering:')
    disp(' ')
    disp('''''type fun'''' at a MATLAB prompt.')
    disp('at a MATLAB prompt. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('To graph the function fun(t), enter the ')
    disp('following commands: ')
    disp(' ') 
    disp(' t=0:0.1:3; ')
    disp(' y=fun(t); ')
    disp(' plot(t,y) ') 
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 2: ')
    disp('The function F(x) is called intf(x) here')
    disp('and is defined in a MATLAB m-file that')
    disp('is provided with this module''s files. ')
    disp('No change to this file is required.')
    disp(' ')
    disp('--------------------------------------------')
    disp('To graph the function intf(t), enter the ')
    disp('following commands: ')
    disp(' ') 
    disp(' x=0:0.1:3; ')
    disp(' y=intf(x); ')
    disp(' plot(x,y) ')
    disp(' ') 
    disp('--------------------------------------------')
    disp('Examine the graph of intf and explain why')
    disp('it has the form it does.  Use MATLAB comments')
    disp('in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Step 3 (Numerical solution):')
    disp('One way to show that F''(x) and f(x) are the')
    disp('same numerically is to graph the approximate ')
    disp('derivative of F on the same axis as f(x) to ')
    disp('see if they coincide. ')
    disp(' ')
    disp('Enter the following commands to try it:')
    disp(' ')
    disp(' x=0:0.1:3;  ') 
    disp(' y1=(intf(x+.001)-intf(x))/0.001; ')
    disp(' plot(x,y1,x,fun(x)) ')
    disp(' legend(''DF(x)'',''f(x)'') ')
    disp(' ')
    disp('----------------------------------------------')
    disp('What is your conclusion?')
    disp('Answer as MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 3 (Symbolic solution): ')
    disp('We can use the symbolic capabilities of MATLAB ')
    disp('to find F(x), the symbolic integral of f(t)')
    disp('and take its derivative. ')
    disp(' ')
    disp('Enter the following commands to try it.')
    disp(' ')
    disp(' syms x t ')
    disp(' f = exp(-t^2/2) ')
    disp(' F = int(f,0,x) ')
    disp(' derF = diff(F)  ')
    disp(' ')
    disp('----------------------------------------------')
    disp('What is your conclusion?')
    disp('Answer as MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 4:')
    disp('It turns out that MATLAB allows graphing of')
    disp('symbolic functions so we can just use this')
    disp('capability rather than worrying about changing')
    disp('the Dfun.m file as we did before. ')
    disp(' ')
    disp('f should already be defined from above.')
    disp('Enter the commands below to make a graph of f(x)')
    disp('on the left side of the figure window:')
    disp(' ')
    disp('  subplot(1,2,1) ')
    disp('  ezplot(f,[0,3])    ')
    disp(' ')
    disp('----------------------------------------------')
    disp(' Enter the following commands to define g')
    disp(' and graph it using ezplot next to the ')
    disp(' graph of f. ')
    disp(' ')
    disp(' Df = diff(f) ')
    disp(' g = int(Df,0,x) ')
    disp(' subplot(1,2,2)')
    disp(' ezplot(g,[0,3]) ')
    disp(' ')
    disp('What is your conclusion?')
    disp('Answer as MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('----------------------------------------------')
    disp('Steps 5 and 6 (optional): ')
    disp('Answer the questions as MATLAB comments in ')
    disp('your diary file. ')
    disp(' ')
    
    disp('----------------------------------------------')
    disp('When you are finished with part 4, to go on to')
    disp('part 5 of this module, type: fnint5.')
    disp(' ')